GrailsFlowHandlerAdapter (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.mvc.servlet
[Java] Class GrailsFlowHandlerAdapter

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.support.WebContentGenerator
                  org.springframework.webflow.mvc.servlet.FlowHandlerAdapter
                      org.codehaus.groovy.grails.webflow.mvc.servlet.GrailsFlowHandlerAdapter

All Implemented Interfaces:
  GrailsApplicationAware

    public class GrailsFlowHandlerAdapter
    extends org.springframework.webflow.mvc.servlet.FlowHandlerAdapter

Extends the default FlowHandlerAdapter in order to populate a valid Grails request.

Authors:
  Graeme Rocher

Since:
  1.1.1

Field Summary

Fields inherited from class org.springframework.webflow.mvc.servlet.FlowHandlerAdapter
METHOD_GET, METHOD_HEAD, METHOD_POST

Fields inherited from class org.springframework.web.servlet.support.WebContentGenerator
METHOD_GET, METHOD_HEAD, METHOD_POST

Method Summary
`org.springframework.web.servlet.ModelAndView` | `handle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`

Methods inherited from class org.springframework.webflow.mvc.servlet.FlowHandlerAdapter
org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#getLastModified(javax.servlet.http.HttpServletRequest, java.lang.Object), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#handle(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#afterPropertiesSet(), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#getFlowExecutor(), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#supports(java.lang.Object), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#setFlowExecutor(org.springframework.webflow.executor.FlowExecutor), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#getFlowUrlHandler(), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#getAjaxHandler(), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#setAjaxHandler(org.springframework.js.ajax.AjaxHandler), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#setRedirectHttp10Compatible(boolean), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#getRedirectHttp10Compatible(), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#setFlowUrlHandler(org.springframework.webflow.context.servlet.FlowUrlHandler), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#setCacheSeconds(int), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#getSupportedMethods(), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#setRequireSession(boolean), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#isRequireSession(), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#setUseExpiresHeader(boolean), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#isUseExpiresHeader(), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#getCacheSeconds(), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#setUseCacheControlHeader(boolean), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#isUseCacheControlHeader(), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#setUseCacheControlNoStore(boolean), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#isUseCacheControlNoStore(), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#setSupportedMethods([Ljava.lang.String;), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#setServletContext(javax.servlet.ServletContext), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#setApplicationContext(org.springframework.context.ApplicationContext), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#getApplicationContext(), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#wait(), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#wait(long, int), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#wait(long), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#equals(java.lang.Object), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#toString(), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#hashCode(), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#getClass(), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#notify(), org.springframework.webflow.mvc.servlet.FlowHandlerAdapter#notifyAll()

Methods inherited from class org.springframework.web.servlet.support.WebContentGenerator
org.springframework.web.servlet.support.WebContentGenerator#setCacheSeconds(int), org.springframework.web.servlet.support.WebContentGenerator#getSupportedMethods(), org.springframework.web.servlet.support.WebContentGenerator#setRequireSession(boolean), org.springframework.web.servlet.support.WebContentGenerator#isRequireSession(), org.springframework.web.servlet.support.WebContentGenerator#setUseExpiresHeader(boolean), org.springframework.web.servlet.support.WebContentGenerator#isUseExpiresHeader(), org.springframework.web.servlet.support.WebContentGenerator#getCacheSeconds(), org.springframework.web.servlet.support.WebContentGenerator#setUseCacheControlHeader(boolean), org.springframework.web.servlet.support.WebContentGenerator#isUseCacheControlHeader(), org.springframework.web.servlet.support.WebContentGenerator#setUseCacheControlNoStore(boolean), org.springframework.web.servlet.support.WebContentGenerator#isUseCacheControlNoStore(), org.springframework.web.servlet.support.WebContentGenerator#setSupportedMethods([Ljava.lang.String;), org.springframework.web.servlet.support.WebContentGenerator#setServletContext(javax.servlet.ServletContext), org.springframework.web.servlet.support.WebContentGenerator#setApplicationContext(org.springframework.context.ApplicationContext), org.springframework.web.servlet.support.WebContentGenerator#getApplicationContext(), org.springframework.web.servlet.support.WebContentGenerator#wait(), org.springframework.web.servlet.support.WebContentGenerator#wait(long, int), org.springframework.web.servlet.support.WebContentGenerator#wait(long), org.springframework.web.servlet.support.WebContentGenerator#equals(java.lang.Object), org.springframework.web.servlet.support.WebContentGenerator#toString(), org.springframework.web.servlet.support.WebContentGenerator#hashCode(), org.springframework.web.servlet.support.WebContentGenerator#getClass(), org.springframework.web.servlet.support.WebContentGenerator#notify(), org.springframework.web.servlet.support.WebContentGenerator#notifyAll()

Method Detail

### handle

    @Override
    public org.springframework.web.servlet.ModelAndView handle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

Groovy Documentation